# -*- yaml -*-
---

largefiles: "{{ inventory_dir }}/largefiles"
diana_local_archives_dir: "{{ largefiles }}"

apt_ubuntu_repo: http://mz.archive.ubuntu.com/ubuntu
ubuntu_language_packs:
  - en
  - nb

devcoop: "devcoop-demo"
country_name: "demo" # NOTE also used in some filenames
institute_name: "DEMO"
desktop_file_prefix: "{{ devcoop }}-"
desktop_file_suffix: ""
desktop_file_prefix_noversion: ""
desktop_file_suffix_noversion: "-{{ country_name }}"

metws_user: "{{ ansible_user }}"
metws_root: "/opt/{{ devcoop }}"
metws_dir: "/mnt/data/{{ devcoop }}"
metws_jobs: "{{ metws_root }}" # FIXME used only for crontab.sample and config.sh
metws_job_scripts: "{{ metws_root }}/jobs"
metws_data_dir: "{{ metws_dir }}/data"
metws_tmp_dir: "{{ metws_dir }}/work"
metws_log_dir: "{{ metws_dir }}/logs"
metws_log_dir_jobs: "{{ metws_log_dir }}/jobs"

virtualenvs_base: "/opt/virtualenvs"

diana_version: '3.57'
diana_script_path: '/usr/bin/diana-{{ diana_version }}'
diana_script_path_noversion: '/usr/bin/diana-{{ country_name }}'
diana_setup_dir: "/etc/diana/{{ diana_version }}"
diana_setup_path: "{{ diana_setup_dir }}/diana.setup-{{ country_name }}"
diana_desktop_path: "/usr/share/applications/{{ desktop_file_prefix }}diana-{{ diana_version }}{{ desktop_file_suffix }}.desktop"
diana_desktop_path_noversion: "/usr/share/applications/{{ desktop_file_prefix_noversion }}diana{{ desktop_file_suffix_noversion }}.desktop"
diana_extra_mapdir: "{{ metws_root }}/diana/maps"
diana_country_mapdir: "{{ diana_extra_mapdir }}/{{ country_name }}"

gshhg_version: '2.3.7'
gshhg_mapdir: '{{ diana_extra_mapdir }}'

tseries_version: 7.2
tseries_etc_dir: "/etc/tseries/{{ tseries_version }}"
tseries_ctl_path: "{{ tseries_etc_dir }}/tseries.ctl-{{ country_name }}"
tseries_script_path: '/usr/bin/tseries-{{ tseries_version }}'
tseries_script_path_noversion: '/usr/bin/tseries-{{ country_name }}'
tseries_desktop_path: "/usr/share/applications/{{ desktop_file_prefix }}tseries-{{ tseries_version }}{{ desktop_file_suffix }}.desktop"
tseries_desktop_path_noversion: "/usr/share/applications/{{ desktop_file_prefix_noversion }}tseries{{ desktop_file_suffix_noversion }}.desktop"

demo_area_minlat: 44
demo_area_maxlat: 49
demo_area_minlon: 7
demo_area_maxlon: 11

eumetsat_geotiff_dataroot: "{{ metws_data_dir }}/eumetsat_geotiff"
eumetsat_geotiff_workroot: "{{ metws_tmp_dir }}/eumetsat_geotiff"
eumetsat_geotiff_minlat: "{{ demo_area_minlat }}"
eumetsat_geotiff_maxlat: "{{ demo_area_maxlat }}"
eumetsat_geotiff_minlon: "{{ demo_area_minlon }}"
eumetsat_geotiff_maxlon: "{{ demo_area_maxlon }}"
eumetsat_geotiff_width: 400
eumetsat_geotiff_layers:
  - name: "msg_fes:ir108"
    filename: "ir108"
    label: "IR108"
    interval: "15"
    count: "12"
    skip: "2"
  - name: "msg_fes:rgb_naturalenhncd"
    filename: "natural_enhanced"
    label: "NATenhncd"
    interval: "15"
    count: "12"
    skip: "3"
  - name: "msg_fes:rgb_microphysics"
    filename: "rgb_microphysics"
    label: "microphysics"
    interval: "15"
    count: "12"
    skip: "3"
  - name: "msg_fes:wv062"
    filename: "wv062"
    label: "WV062"
    interval: "15"
    count: "12"
    skip: "3"
  - name: "msg_fes:h03b"
    filename: "preciptation_rate"
    label: "preciptation_rate"
    interval: "15"
    count: "12"
    skip: "3"
  - name: "msg_fes:rgb_convection"
    filename: "rgb_convection"
    label: "convection"
    interval: "15"
    count: "12"
    skip: "3"
  - name: "msg_fes:rgb_airmass"
    filename: "rgb_airmass"
    label: "airmass"
    interval: "15"
    count: "12"
    skip: "3"

noaa_job_scripts: "{{ metws_job_scripts }}/{{ noaa_jobs_subdir }}"
noaa_gfs_datadir: "{{ metws_data_dir }}/noaa_gfs"
noaa_gfs_workdir: "{{ metws_tmp_dir }}/noaa_gfs"
noaa_gefs_datadir: "{{ metws_data_dir }}/noaa_gefs"
noaa_gefs_workdir: "{{ metws_tmp_dir }}/noaa_gefs"
noaa_gfs_gefs_minlon: "{{ demo_area_minlat }}"
noaa_gfs_gefs_maxlon: "{{ demo_area_maxlat }}"
noaa_gfs_gefs_minlat: "{{ demo_area_minlon }}"
noaa_gfs_gefs_maxlat: "{{ demo_area_maxlon }}"
